## ignition-edifice 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-edifice VERSION 1.0.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.7.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

# all list of edifice packages

ign_find_package(ignition-common4 REQUIRED)
ign_find_package(ignition-fuel_tools6 REQUIRED)
ign_find_package(ignition-gazebo5 REQUIRED)
ign_find_package(ignition-gui5 REQUIRED)
ign_find_package(ignition-launch4 REQUIRED)
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.8)
ign_find_package(ignition-msgs7 REQUIRED)
ign_find_package(ignition-physics4 REQUIRED)
ign_find_package(ignition-plugin1 REQUIRED VERSION 1.2)
ign_find_package(ignition-rendering5 REQUIRED)
ign_find_package(ignition-sensors5 REQUIRED)
ign_find_package(ignition-tools REQUIRED VERSION 1.1)
ign_find_package(ignition-transport10 REQUIRED)
ign_find_package(ignition-utils1 REQUIRED)
ign_find_package(sdformat11 REQUIRED)

install(DIRECTORY gazebodistro DESTINATION ${IGN_DATA_INSTALL_DIR})

=== debian/changelog ===
ignition-edifice (1.0.0-1~buster) buster; urgency=medium

  * ignition-edifice 1.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 18:34:40 -0700

ignition-edifice (1.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-edifice 1.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 16:30:58 -0700

ignition-edifice (0.999.999-1~buster) buster; urgency=medium

  * placeholder

 -- Place Holder <placeholder@openrobotics.org>  Wed, 23 Sep 2020 16:44:44 -0700

=== debian/control ===
Source: ignition-edifice
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libignition-cmake2-dev (>= 2.7.0),
               libignition-common4-dev,
               libignition-fuel-tools6-dev,
               libignition-gazebo5-dev,
               libignition-gui5-dev,
               libignition-launch4-dev,
               libignition-math6-dev (>= 6.8.0),
               libignition-math6-eigen3-dev (>= 6.8.0),
               libignition-msgs7-dev,
               libignition-physics4-dev,
               libignition-plugin-dev (>= 1.2.0),
               libignition-rendering5-dev,
               libignition-sensors5-dev,
               libignition-tools-dev (>= 1.1.0),
               libignition-transport10-dev,
               libignition-utils1-cli-dev,
               libignition-utils1-dev,
               libsdformat11-dev
Vcs-Browser: https://github.com/ignition-release/ignition-edifice-release
Vcs-Git: https://github.com/ignition-release/ignition-edifice-release
Homepage: http://ignitionrobotics.org/

Package: ignition-edifice
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.7.0),
         libignition-common4-dev,
         libignition-fuel-tools6-dev,
         libignition-gazebo5-dev,
         libignition-gui5-dev,
         libignition-launch4-dev,
         libignition-math6-dev (>= 6.8.0),
         libignition-math6-eigen3-dev (>= 6.8.0),
         libignition-msgs7-dev,
         libignition-physics4-dev,
         libignition-plugin-dev (>= 1.2.0),
         libignition-rendering5-dev,
         libignition-sensors5-dev,
         libignition-tools-dev (>= 1.1.0),
         libignition-transport10-dev,
         libignition-utils1-cli-dev,
         libignition-utils1-dev,
         libsdformat11-dev,
         ${misc:Depends}
Multi-Arch: foreign
Description: Collection of ignition robotics packages - Edifice
  This is a metapackage used for triggering the whole collection of ignition
  packages corresponding to the Edifice collection

## ignition-edifice 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-edifice VERSION 1.0.3)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.11.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

# all list of edifice packages

ign_find_package(ignition-common4 REQUIRED VERSION 4.5)
ign_find_package(ignition-fuel_tools6 REQUIRED VERSION 6.2)
ign_find_package(ignition-gazebo5 REQUIRED VERSION 5.4)
ign_find_package(ignition-gui5 REQUIRED VERSION 5.5)
ign_find_package(ignition-launch4 REQUIRED VERSION 4.1)
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.10)
ign_find_package(ignition-msgs7 REQUIRED VERSION 7.3)
ign_find_package(ignition-physics4 REQUIRED VERSION 4.3)
ign_find_package(ignition-plugin1 REQUIRED VERSION 1.2.1)
ign_find_package(ignition-rendering5 REQUIRED VERSION 5.2.1)
ign_find_package(ignition-sensors5 REQUIRED VERSION 5.1.1)
ign_find_package(ignition-transport10 REQUIRED VERSION 10.2)
ign_find_package(ignition-utils1 REQUIRED VERSION 1.3)
ign_find_package(sdformat11 REQUIRED VERSION 11.4.1)

if(build_warnings)
  set(all_warnings " CONFIGURATION WARNINGS:")
  foreach (msg ${build_warnings})
    ign_string_append(all_warnings " -- ${msg}" DELIM "\n")
  endforeach ()
  message(WARNING "${all_warnings}")
endif (build_warnings)

if(build_errors)
  message(SEND_ERROR "-- BUILD ERRORS: These must be resolved before compiling.")
  foreach(msg ${build_errors})
    message(SEND_ERROR "-- ${msg}")
  endforeach()
  message(SEND_ERROR "-- END BUILD ERRORS\n")

  set(error_str "Errors encountered in build. Please see BUILD ERRORS above.")

  message(FATAL_ERROR "${error_str}")

endif()

install(DIRECTORY gazebodistro DESTINATION ${IGN_DATA_INSTALL_DIR})

=== debian/changelog ===
ignition-edifice (1.0.3-1~focal) focal; urgency=medium

  * ignition-edifice 1.0.3-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 01 Apr 2022 08:52:20 -0700

ignition-edifice (1.0.2-1~focal) focal; urgency=medium

  * ignition-edifice 1.0.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Nov 2021 17:36:48 -0800

ignition-edifice (1.0.1-1~focal) focal; urgency=medium

  * ignition-edifice 1.0.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 26 Oct 2021 22:02:13 -0700

ignition-edifice (1.0.0-1~focal) focal; urgency=medium

  * ignition-edifice 1.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 18:34:39 -0700

ignition-edifice (1.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-edifice 1.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 26 Mar 2021 16:30:57 -0700

ignition-edifice (0.999.999-1~focal) focal; urgency=medium

  * Placeholder

 -- Place Holder <placeholder@openrobotics.org>  Wed, 23 Sep 2020 16:44:44 -0700

=== debian/control ===
Source: ignition-edifice
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libignition-cmake2-dev (>= 2.11.0),
               libignition-common4-dev (>= 4.5.0),
               libignition-fuel-tools6-dev (>= 6.2.0),
               libignition-gazebo5-dev (>= 5.4.0),
               libignition-gui5-dev (>= 5.5.0),
               libignition-launch4-dev (>= 4.1.0),
               libignition-math6-dev (>= 6.10.0),
               libignition-math6-eigen3-dev (>= 6.10.0),
               libignition-msgs7-dev (>= 7.3.0),
               libignition-physics4-dev (>= 4.3.0),
               libignition-plugin-dev (>= 1.2.1),
               libignition-rendering5-dev (>= 5.2.1),
               libignition-sensors5-dev (>= 5.1.1),
               libignition-tools-dev (>= 1.4.1),
               libignition-transport10-dev (>= 10.2.0),
               libignition-utils1-cli-dev (>= 1.3.0),
               libignition-utils1-dev (>= 1.3.0),
               libsdformat11-dev (>= 11.4.1)
Vcs-Browser: https://github.com/ignition-release/ignition-edifice-release
Vcs-Git: https://github.com/ignition-release/ignition-edifice-release
Homepage: http://ignitionrobotics.org/

Package: ignition-edifice
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.11.0),
         libignition-common4-dev (>= 4.5.0),
         libignition-fuel-tools6-dev (>= 6.2.0),
         libignition-gazebo5-dev (>= 5.4.0),
         libignition-gui5-dev (>= 5.5.0),
         libignition-launch4-dev (>= 4.1.0),
         libignition-math6-dev (>= 6.10.0),
         libignition-math6-eigen3-dev (>= 6.10.0),
         libignition-msgs7-dev (>= 7.3.0),
         libignition-physics4-dev (>= 4.3.0),
         libignition-plugin-dev (>= 1.2.1),
         libignition-rendering5-dev (>= 5.2.1),
         libignition-sensors5-dev (>= 5.1.1),
         libignition-tools-dev (>= 1.4.1),
         libignition-transport10-dev (>= 10.2.0),
         libignition-utils1-cli-dev (>= 1.3.0),
         libignition-utils1-dev (>= 1.3.0),
         libsdformat11-dev (>= 11.4.1)
         ${misc:Depends}
Multi-Arch: foreign
Description: Collection of ignition robotics packages - Edifice
  This is a metapackage used for triggering the whole collection of ignition
  packages corresponding to the Edifice collection
